<?php
/* $Id: administration.php,v 1.3 2009/06/29 11:43:18 Criss Exp $ */
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');

$config_tabs[]='config';

global $template, $page;
// Include language advices
load_language('plugin.lang', CE_PATH);

$ce_plugin = get_plugin_data($plugin_id);
$ce_config = $ce_plugin->getConfig();

// Tabs management
if (!isset($_GET['tab'])) {
    $page['tab'] = $config_tabs[0];
} else {
    $page['tab'] = $_GET['tab'];
}

if (!in_array($page['tab'], $config_tabs)) {
    $page['tab'] = $config_tabs[0];
}


$base_admin_url = get_admin_plugin_menu_link(__FILE__);

$tabsheet = new tabsheet();

foreach ($config_tabs as $current_tab) {
    $tab_name = 'ce_tab_'.$current_tab;
    $tabsheet->add($current_tab,
                   l10n($tab_name),
                   $base_admin_url.'&amp;tab='.$current_tab);
}
$tabsheet->select($page['tab']);
$tabsheet->assign();

// Define common values
$template->set_filenames(array(
                            'plugin_admin_content' => CE_AMDIN_TPL
                                                      . $page['tab']
                                                      . '.tab.tpl'
                          )
                      );


// Define common values
$ce_common = array(
    'version' => $ce_plugin->getVersion(),
    'title'   => $ce_plugin->plugin_id,
);
$template->assign('CE', $ce_common);

// Include specific tab
include_once (CE_ADMIN . $page['tab'] . '.tab.php');

$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

?>