<?php
/* $Id: ce_common.inc.php,v 1.17 2009/07/01 08:06:01 Criss Exp $ */
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

/* ************************** */
/* ** Constants            ** */
/* ************************** */

// Version
define('CE_VERSION',            '1.0.n');

// Directories
define('CE_INCLUDE_DIR',        'include/');
define('CE_CLASSES_DIR',        'classes/');
define('CE_IMAGES_DIR',         'images/');
define('CE_TEMPLATE_DIR',       'template/');
define('CE_ADMIN_DIR',          'admin/');
// Path
define('CE_CLASSES',            CE_PATH.CE_CLASSES_DIR);
define('CE_INCLUDE',            CE_PATH.CE_INCLUDE_DIR);
define('CE_TEMPLATE',           CE_PATH.CE_TEMPLATE_DIR);
define('CE_ADMIN',              CE_PATH.CE_ADMIN_DIR);
define('CE_AMDIN_TPL',          CE_ROOT.CE_ADMIN_DIR.CE_TEMPLATE_DIR);
// Files
define('CE_OBSOLETE',           'obsolete.list');
define('CE_ERRORS',             CE_INCLUDE.'errors.png');
define('CE_INFOS',              CE_INCLUDE.'infos.png');
define('CE_CLOSE_IMG',          'exit.png');
// Constants
define('CE_TYPE_INFO',          'info');
define('CE_TYPE_ERROR',         'error');
define('CE_PAGE',               'page');
define('CE_PARAMS',             'params');
define('CE_ID',                 'comment_id');
define('CE_ACTION',             'comment_action');
define('CE_ACTION_NONE',        'none');
define('CE_ACTION_EDIT',        'edit_comment');
define('CE_ACTION_UPDATE',      'update_comment');
define('CE_ACTION_ERROR',       'error_comment');
define('CE_CHECKED',            'checked="checked"');
// Config keys
if (isset($plugin)) {
  define('CE_CFG_DB_KEY',       $plugin['id']);
}
define('CE_CFG_DB_FACTORY',     'Factory settings for plugin %s [%s]');
define('CE_CFG_DB_COMMENT',     'Configuration of plugin %s [%s]');
define('CE_CFG_DISPLAY_ERROR',  'display_error');
define('CE_CFG_DISPLAY_INFO',   'display_info');
define('CE_CFG_COMMENT',        'comment');
define('CE_CFG_VERSION',        'version');

/* ************************** */
/* ** Includes             ** */
/* ************************** */

// Include plugin functions
@include_once(CE_INCLUDE.'ce_functions.inc.php');

// Load class files
ce_require_class("CE_Config");
ce_require_class("CE_Comment");
ce_require_class("CE_Plugin");

/* ************************** */
/* ** Variable definitions ** */
/* ************************** */

// Config default values
$ce_config_default[CE_CFG_DISPLAY_ERROR]  = true;
$ce_config_default[CE_CFG_DISPLAY_INFO]   = true;

?>